Subject: Re: [IAB] Call for Comments: "Peer-to-peer (P2P) Architectures"

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 03 Nov 2009 14:19:24 +0200

Hi Stalisnav,

thanks for your answer. The document was already approved by the IAB a 
while ago and it is now in AUTH48, where changes are meant to be very 
small. In any case, I agree with you that your suggestion will improve 
the title and set readers' expectations more correctly. I will fix that.

Regarding bittorrent and skype, the document already lists them as P2P 
systems. In the case of bittorrent, a whole section of the document 
describes it as a P2P system. In the case of Skype, the document uses it 
as an example of a P2P application. Therefore, I think the document is 
clear in that area.

Thanks,

Gonzalo

Stanislav Shalunov wrote:
> Gonzalo,
> 
> I now see how my initial reading of the document was informed mainly by 
> expectations set by the title and the abstract.  I suspect that I might 
> be alone in this.  If the title and the abstract were to better reflect 
> the content and to avoid what I read as overpromise, the document would 
> be much improved.
> 
> I see you've already changed the abstract to refer to multiple 
> taxonomies.  This is helpful, thank you.
> 
> I was actually initially confused by the title, "Peer-to-peer (P2P) 
> Architectures".  The sort of thing that came to my mind reading that 
> title was a discussion of several architectures that would include 
> design philosophy considerations, main architectural ideas from the P2P 
> world, toolbox, tradeoffs, applicability of techniques, architectural 
> design choices made by particular P2P apps, the motivation of the 
> choices, consequences of the choices, and such.  The document does have 
> architectural guidance on when to use P2P as opposed to a server-based 
> arch, but the plural of "architectures" in the title primed me for a 
> discussion of peer protocol choice and design, organization mechanisms 
> to use in the system, and generally something that'd get a server-based 
> protocol jock sufficiently informed about P2P to design working P2P 
> systems rather than to conclude that a given application looks like a 
> potential match for a P2P approach.
> 
> If the document were to have a different title, my mindset diving in 
> would be different.  If the title more precisely reflected the content I 
> would take the document for what it is instead of expecting something 
> that wasn't intended to be there.
> 
> How about "Peer-to-peer (P2P) architecture: definition, examples, and 
> applicability" for a title?  Something along those lines would 
> definitely help me get the right idea of the document.
> 
> I've taken the liberty to massage the abstract:
> 
>         We define P2P, explain how a P2P architecture differs from a 
> client/server architecture, and provide a non-exhaustive survey of P2P 
> systems and of their taxonomies.  We discuss the applicability of P2P 
> and tradeoffs between client/server and P2P and how the best choice 
> depends on the properties and the requirements of the application.
> 
> Also, I'd consider pulling out the definition, which currently starts 
> with "We consider" into a paragraph marked with something like 
> "Definition:" at the beginning -- or just the first paragraph of the 
> corresponding section.
> 
> And still, I'd suggest making it more clear that, say, BitTorrent, which 
> has trackers, or Skype, which has a website where you can manage your 
> account, are, indeed, P2P systems, despite the fact that they have 
> elements that only provide and don't consume a service.
> 
> Let me know what you think,
> -- Stas
>